{
    "name": "drutopia/programlocator_dev_template",
    "description": "Development template for program locator sites.",
    "type": "project",
    "license": "GPL-2.0-or-later",
    "minimum-stability": "dev",
    "prefer-stable": true,
    "config": {
        "sort-packages": true,
        "process-timeout": 0
    },
    "require": {
        "agaric/oxford-comma": "dev-stable as 1.x-dev",
        "composer/installers": "^1.9",
        "cweagans/composer-patches": "^1.7",
        "drupal/advagg": "^4.0",
        "drupal/alternateroute": "dev-8.x-1.x as 1.x-dev",
        "drupal/blocache": "^1.1",
        "drupal/block_field": "^1.0@alpha",
        "drupal/ccos": "^2.0",
        "drupal/checkboxesjs": "dev-8.x-1.x as 1.x-dev",
        "drupal/chosen": "2.8",
        "drupal/conditional_fields": "^1.0@alpha",
        "drupal/config_overlay": "^1.0@alpha",
        "drupal/contactprofilequick": "dev-8.x-1.x as 1.x-dev",
        "drupal/contacts": "dev-agaric as 1.x-dev",
        "drupal/content_sync": "^2.1",
        "drupal/core": "^8.8",
        "drupal/core-composer-scaffold": "*",
        "drupal/critical_css": "^1.16",
        "drupal/customerror": "^1.0@alpha",
        "drupal/cyborgtranslate": "dev-8.x-1.x as 1.x-dev",
        "drupal/diff": "^1.0@RC",
        "drupal/drutopia_action": "dev-8.x-1.x as 1.x-dev",
        "drupal/drutopia_article": "dev-8.x-1.x as 1.x-dev",
        "drupal/drutopia_blog": "dev-8.x-1.x as 1.x-dev",
        "drupal/drutopia_campaign": "dev-8.x-1.x as 1.x-dev",
        "drupal/drutopia_collection": "dev-8.x-1.x as 1.x-dev",
        "drupal/drutopia_comment": "dev-8.x-1.x as 1.x-dev",
        "drupal/drutopia_core": "dev-8.x-1.x as 1.x-dev",
        "drupal/drutopia_event": "dev-8.x-1.x as 1.x-dev",
        "drupal/drutopia_findit_content_management": "dev-8.x-1.x as 1.x-dev",
        "drupal/drutopia_findit_event": "dev-8.x-1.x as 1.x-dev",
        "drupal/drutopia_findit_footer": "dev-8.x-1.x as 1.x-dev",
        "drupal/drutopia_findit_location": "dev-8.x-1.x as 1.x-dev",
        "drupal/drutopia_findit_organization": "dev-8.x-1.x as 1.x-dev",
        "drupal/drutopia_findit_place": "dev-8.x-1.x as 1.x-dev",
        "drupal/drutopia_findit_program": "dev-8.x-1.x as 1.x-dev",
        "drupal/drutopia_findit_service_provider": "dev-8.x-1.x as 1.x-dev",
        "drupal/drutopia_findit_site_management": "dev-8.x-1.x as 1.x-dev",
        "drupal/drutopia_group": "dev-8.x-1.x as 1.x-dev",
        "drupal/drutopia_landing_page": "dev-8.x-1.x as 1.x-dev",
        "drupal/drutopia_link_blocks": "dev-8.x-1.x as 1.x-dev",
        "drupal/drutopia_page": "dev-8.x-1.x as 1.x-dev",
        "drupal/drutopia_people": "dev-8.x-1.x as 1.x-dev",
        "drupal/drutopia_related_content": "dev-8.x-1.x as 1.x-dev",
        "drupal/drutopia_resource": "dev-8.x-1.x as 1.x-dev",
        "drupal/drutopia_search": "dev-8.x-1.x as 1.x-dev",
        "drupal/drutopia_seo": "dev-8.x-1.x as 1.x-dev",
        "drupal/drutopia_site": "dev-8.x-1.x as 1.x-dev",
        "drupal/drutopia_social": "dev-8.x-1.x as 1.x-dev",
        "drupal/drutopia_storyline": "dev-8.x-1.x as 1.x-dev",
        "drupal/drutopia_user": "dev-8.x-1.x as 1.x-dev",
        "drupal/encontrarlo": "dev-8.x-1.x as 1.x-dev",
        "drupal/encontrarlo_toolbar": "dev-8.x-1.x as 1.x-dev",
        "drupal/eva": "2.x-dev",
        "drupal/extra_field": "^1.1",
        "drupal/facets": "1.x-dev",
        "drupal/field_permissions": "^1.1",
        "drupal/findit_interface_text": "dev-8.x-1.x as 1.x-dev",
        "drupal/findit_library_sync": "dev-8.x-1.x as 1.x-dev",
        "drupal/findit_migration_utils": "dev-8.x-1.x as 1.x-dev",
        "drupal/findit_mit_sync": "dev-8.x-1.x as 1.x-dev",
        "drupal/geocoder": "^2.2",
        "drupal/google_analytics": "^2.4",
        "drupal/image_effects": "^3.1",
        "drupal/image_widget_crop": "^2.3",
        "drupal/inotherwords": "dev-8.x-1.x as 1.x-dev",
        "drupal/jsonapi_extras": "^3.14",
        "drupal/login_destination": "^2.0@beta",
        "drupal/mass_contact": "1.x-dev",
        "drupal/microformats": "dev-8.x-1.x as 1.x-dev",
        "drupal/migrate_plus": "^5.1",
        "drupal/migrate_source_csv": "3.1",
        "drupal/migrate_tools": "^4.3",
        "drupal/multiple_fields_remove_button": "^1.0@alpha",
        "drupal/newtowne": "dev-8.x-1.x as 1.x-dev",
        "drupal/octavia": "dev-8.x-1.x as 1.x-dev",
        "drupal/registration_role": "^1.1",
        "drupal/require_on_publish": "^1.2",
        "drupal/role_delegation": "^1.1",
        "drupal/search_api_autocomplete": "^1.2",
        "drupal/search_api_exactmatch_boost": "^1.0@beta",
        "drupal/search_api_location": "^1.0@alpha",
        "drupal/search_api_solr": "3.x-dev",
        "drupal/search_api_spellcheck": "3.x-dev",
        "drupal/selectize": "dev-8.x-1.x as 1.x-dev",
        "drupal/sendgrid_integration": "^1.2",
        "drupal/serviceprovider": "dev-8.x-1.x as 1.x-dev",
        "drupal/skins": "^1.0@alpha",
        "drupal/smart_date": "^3.2@beta",
        "drupal/social_media_links": "2.x-dev",
        "drupal/twig_tweak": "^2.4",
        "drupal/twigsuggest": "dev-8.x-1.x as 1.x-dev",
        "drupal/unified_login": "dev-8.x-1.x as 1.x-dev",
        "drupal/views_contextual_filters_or": "^1.1",
        "drupal/webform": "^5.22",
        "drupal/webp": "^1.0@beta",
        "drupal/workflow_buttons": "dev-8.x-1.x as 1.x-dev",
        "drush/drush": "^9.0",
        "find-it-program-locator/findit": "dev-8.x-1.x",
        "harvesthq/chosen": "^1.8.7",
        "rmariuzzo/checkboxes.js": "^1.2.2",
        "solarium/solarium": "^5.1.3",
        "symfony/event-dispatcher": "4.3.4 as 3.4.99"
    },
    "require-dev": {
        "drupal/drutopia_dev": "dev-8.x-1.x as 1.x-dev",
        "drupal/core-dev": "^8.8"
    },
    "conflict": {
        "drupal/drupal": "*"
    },
    "repositories": {
        "agaric/oxford-comma": {
            "type": "git",
            "url": "git@gitlab.com:agaric/php/oxford-comma.git"
        },
        "drupal/alternateroute": {
            "type": "git",
            "url": "git@gitlab.com:agaric/drupal/alternateroute.git"
        },
        "drupal/checkboxesjs": {
            "type": "git",
            "url": "git@gitlab.com:agaric/drupal/checkboxesjs.git"
        },
        "drupal/cyborgtranslate": {
            "type": "git",
            "url": "git@gitlab.com:agaric/drupal/cyborgtranslate.git"
        },
        "drupal/contactprofilequick": {
            "type": "git",
            "url": "git@gitlab.com:find-it-program-locator/contactprofilequick.git"
        },
        "drupal/findit": {
            "type": "git",
            "url": "git@gitlab.com:find-it-program-locator/findit.git"
        },
        "drupal/findit_interface_text": {
            "type": "git",
            "url": "git@gitlab.com:find-it-program-locator/findit_interface_text.git"
        },
        "drupal/findit_library_sync": {
            "type": "git",
            "url": "git@gitlab.com:find-it-program-locator/findit_library_sync.git"
        },
        "drupal/findit_mit_sync": {
            "type": "git",
            "url": "git@gitlab.com:find-it-program-locator/findit_mit_sync.git"
        },
        "drupal/findit_migration_utils": {
            "type": "git",
            "url": "git@gitlab.com:find-it-program-locator/findit_migration_utils.git"
        },
        "drupal/inotherwords": {
            "type": "git",
            "url": "git@gitlab.com:agaric/drupal/inotherwords.git"
        },
        "drupal/drutopia_findit_content_management": {
            "type": "git",
            "url": "git@gitlab.com:find-it-program-locator/drutopia_findit_content_management.git"
        },
        "drupal/drutopia_findit_event": {
            "type": "git",
            "url": "git@gitlab.com:find-it-program-locator/drutopia_findit_event.git"
        },
        "drupal/drutopia_findit_footer": {
            "type": "git",
            "url": "git@gitlab.com:find-it-program-locator/drutopia_findit_footer.git"
        },
        "drupal/drutopia_findit_location": {
            "type": "git",
            "url": "git@gitlab.com:find-it-program-locator/drutopia_findit_location.git"
        },
        "drupal/drutopia_findit_organization": {
            "type": "git",
            "url": "git@gitlab.com:find-it-program-locator/drutopia_findit_organization.git"
        },
        "drupal/drutopia_findit_place": {
            "type": "git",
            "url": "git@gitlab.com:find-it-program-locator/drutopia_findit_place.git"
        },
        "drupal/drutopia_findit_program": {
            "type": "git",
            "url": "git@gitlab.com:find-it-program-locator/drutopia_findit_program.git"
        },
        "drupal/drutopia_findit_site_management": {
            "type": "git",
            "url": "git@gitlab.com:find-it-program-locator/drutopia_findit_site_management.git"
        },
        "drupal/drutopia_findit_service_provider": {
            "type": "git",
            "url": "git@gitlab.com:find-it-program-locator/drutopia_findit_service_provider.git"
        },
        "drupal/serviceprovider": {
            "type": "git",
            "url": "git@gitlab.com:find-it-program-locator/serviceprovider.git"
        },
        "drupal/twigsuggest": {
            "type": "git",
            "url": "git@gitlab.com:agaric/drupal/twigsuggest.git"
        },
        "drupal/contacts": {
            "type": "vcs",
            "url": "git@gitlab.com:freelygive/drupal/contacts.git"
        },
        "drupal/drutopia_action": {
            "type": "git",
            "url": "git@gitlab.com:drutopia/drutopia_action.git"
        },
        "drupal/drutopia_article": {
            "type": "git",
            "url": "git@gitlab.com:drutopia/drutopia_article.git"
        },
        "drupal/drutopia_blog": {
            "type": "git",
            "url": "git@gitlab.com:drutopia/drutopia_blog.git"
        },
        "drupal/drutopia_campaign": {
            "type": "git",
            "url": "git@gitlab.com:drutopia/drutopia_campaign.git"
        },
        "drupal/drutopia_collection": {
            "type": "git",
            "url": "git@gitlab.com:drutopia/drutopia_collection.git"
        },
        "drupal/drutopia_comment": {
            "type": "git",
            "url": "git@gitlab.com:drutopia/drutopia_comment.git"
        },
        "drupal/drutopia_core": {
            "type": "git",
            "url": "git@gitlab.com:drutopia/drutopia_core.git"
        },
        "drupal/drutopia_dev": {
            "type": "git",
            "url": "git@gitlab.com:drutopia/drutopia_dev.git"
        },
        "drupal/drutopia_event": {
            "type": "git",
            "url": "git@gitlab.com:drutopia/drutopia_event.git"
        },
        "drupal/drutopia_group": {
            "type": "git",
            "url": "git@gitlab.com:drutopia/drutopia_group.git"
        },
        "drupal/drutopia_landing_page": {
            "type": "git",
            "url": "git@gitlab.com:drutopia/drutopia_landing_page.git"
        },
        "drupal/drutopia_link_blocks": {
            "type": "git",
            "url": "git@gitlab.com:drutopia/drutopia_link_blocks.git"
        },
        "drupal/drutopia_page": {
            "type": "git",
            "url": "git@gitlab.com:drutopia/drutopia_page.git"
        },
        "drupal/drutopia_people": {
            "type": "git",
            "url": "git@gitlab.com:drutopia/drutopia_people.git"
        },
        "drupal/drutopia_related_content": {
            "type": "git",
            "url": "git@gitlab.com:drutopia/drutopia_related_content.git"
        },
        "drupal/drutopia_resource": {
            "type": "git",
            "url": "git@gitlab.com:drutopia/drutopia_resource.git"
        },
        "drupal/drutopia_search": {
            "type": "git",
            "url": "git@gitlab.com:drutopia/drutopia_search.git"
        },
        "drupal/drutopia_seo": {
            "type": "git",
            "url": "git@gitlab.com:drutopia/drutopia_seo.git"
        },
        "drupal/drutopia_site": {
            "type": "git",
            "url": "git@gitlab.com:drutopia/drutopia_site.git"
        },
        "drupal/drutopia_social": {
            "type": "git",
            "url": "git@gitlab.com:drutopia/drutopia_social.git"
        },
        "drupal/drutopia_storyline": {
            "type": "git",
            "url": "git@gitlab.com:drutopia/drutopia_storyline.git"
        },
        "drupal/drutopia_user": {
            "type": "git",
            "url": "git@gitlab.com:drutopia/drutopia_user.git"
        },
        "drupal/encontrarlo": {
            "type": "git",
            "url": "git@gitlab.com:find-it-program-locator/encontrarlo.git"
        },
        "drupal/encontrarlo_toolbar": {
            "type": "git",
            "url": "git@gitlab.com:find-it-program-locator/encontrarlo_toolbar.git"
        },
        "drupal/microformats": {
            "type": "git",
            "url": "git@gitlab.com:agaric/drupal/microformats.git"
        },
        "drupal/octavia": {
            "type": "git",
            "url": "git@gitlab.com:drutopia/octavia.git"
        },
        "drupal/newtowne": {
            "type": "git",
            "url": "git@gitlab.com:find-it-program-locator/newtowne.git"
        },
        "drupal/selectize": {
            "type": "git",
            "url": "git@gitlab.com:agaric/drupal/selectize.git"
        },
        "drupal/unified_login": {
            "type": "git",
            "url": "git@gitlab.com:agaric/drupal/unified_login.git"
        },
        "drupal/workflow_buttons": {
            "type": "git",
            "url": "git@gitlab.com:agaric/drupal/workflow_buttons.git"
        },
        "rmariuzzo/checkboxes.js": {
            "type": "package",
            "package": {
                "name": "rmariuzzo/checkboxes.js",
                "version": "1.2.2",
                "type": "drupal-library",
                "dist": {
                    "url": "https://github.com/rmariuzzo/checkboxes.js/archive/v1.2.2.zip",
                    "type": "zip"
                },
                "require": {
                    "composer/installers": "^1.9"
                }
            }
        },
        "harvesthq/chosen": {
            "type": "package",
            "package": {
                "name": "harvesthq/chosen",
                "version": "1.8.7",
                "type": "drupal-library",
                "dist": {
                    "url": "https://github.com/harvesthq/chosen/releases/download/v1.8.7/chosen_v1.8.7.zip",
                    "type": "zip"
                },
                "require": {
                    "composer/installers": "^1.9"
                }
            }
        },
        "selectize/selectize": {
            "type": "package",
            "package": {
                "name": "selectize/selectize",
                "version": "0.12.6",
                "type": "drupal-library",
                "dist": {
                    "url": "https://github.com/selectize/selectize.js/archive/v0.12.6.zip",
                    "type": "zip"
                },
                "require": {
                    "composer/installers": "^1.9"
                }
            }
        },
        "drupal": {
            "type": "composer",
            "url": "https://packages.drupal.org/8"
        }
    },
    "scripts": {
        "nuke": "rm -rf vendor web/core web/modules/contrib web/themes/contrib web/profiles/contrib drush/Commands/contrib",
        "fresh-start": [
            "drush -y si findit && drush -y en drutopia_dev_findit && drush uli",
            "drush locale:import en modules/contrib/findit_interface_text/overrides/custom-translations.en.po --type=customized --override=all"
        ]
    },
    "extra": {
        "drupal-scaffold": {
            "locations": {
                "web-root": "./web/"
            }
        },
        "installer-paths": {
            "web/core": ["type:drupal-core"],
            "web/libraries/{$name}": ["type:drupal-library"],
            "web/modules/contrib/{$name}": ["type:drupal-module"],
            "web/profiles/contrib/{$name}": ["type:drupal-profile"],
            "web/themes/contrib/{$name}": ["type:drupal-theme"],
            "drush/Commands/contrib/{$name}": ["type:drupal-drush"],
            "web/modules/custom/{$name}": ["type:drupal-custom-module"],
            "web/themes/custom/{$name}": ["type:drupal-custom-theme"]
        },
        "patches": {
            "drupal/core": {
                "Allow entities to be subclassed more easily": "https://www.drupal.org/files/issues/2019-03-19/2570593entity_subclasses-2570593-51.patch",
                "Incorrect filter group OR behavior, LEFT JOIN changed to INNER JOIN": "https://www.drupal.org/files/issues/2019-10-08/1766338-106.patch",
                "ManyToOneHelper ignores group configuration for some cases": "https://www.drupal.org/files/issues/2019-12-06/2559961-90.patch",
                "Update location.hash when clicking a vertical tab": "https://www.drupal.org/files/issues/2019-06-06/2752511-62.patch",
                "Vertical tab's doesn't take in account the open attribute.": "https://www.drupal.org/files/issues/2018-08-22/2897534-18.patch",
                "ValidReferenceConstraintValidator causes a fatal error when $item->entity isn't present": "https://www.drupal.org/files/issues/2020-01-17/3107099-2-validreference-constraint-fatal-error-fix.patch",
                "#2925598: Remove unnecessary query parameters from pagers": "https://gitlab.com/freelygive/drupal/drupal/merge_requests/1.diff",
                "Correct vertical tab does not focus on form validation": "https://www.drupal.org/files/issues/vertical-tabs--focus-on-onvalid.patch",
                "Add a routeExists method to RouteProvider": "https://www.drupal.org/files/issues/2019-01-31/route-provider-route-exists-3029545-5.patch"
            },
            "drupal/social_media_links": {
                "Improve Tumblr usability": "https://www.drupal.org/files/issues/2019-10-29/3090649-3.patch"
            },
            "drupal/content_sync": {
                "Installation causes error (v2) - PHP 7.2": "https://www.drupal.org/files/issues/2019-03-13/content_sync-Installation_causes_error_v2-2982986-10-D8.patch",
                "Drush commands": "https://www.drupal.org/files/issues/2019-07-13/content_sync-drush_commands-2873074-51-D8_0.patch"
            },
            "drupal/ctools": {
                "#2667652: Option to expose filters in block on views block display": "https://www.drupal.org/files/issues/ctools-option_to_expose-2667652-3.patch",
                "#2866323 & #2865709: Fatal error on empty entity reference relationship": "https://www.drupal.org/files/issues/2866323-fix_entity_relationship_with_no_value.patch"
            },
            "drupal/image_widget_crop": {
                "Rename Reset crop button to Remove crop": "https://www.drupal.org/files/issues/2020-12-30/3190257-3.patch",
                "Hide vertical tabs when there is only one image style available": "https://www.drupal.org/files/issues/2020-12-24/3116312-7.patch"
            },
            "drupal/maxlength": {
                "Uncaught TypeError: Drupal.t(...) is not a function": "https://www.drupal.org/files/issues/2020-06-02/jserror-3143473-3.patch"
            },
            "drupal/page_manager": {
                "Fix VariantRouteFilter deprecation errors.": "https://gitlab.com/fg_drupalorg/page_manager/merge_requests/2.diff"
            },
            "drupal/field_group": {
                "Ensure visibility of invalid fields (serverside)": "https://www.drupal.org/files/issues/2020-06-11/field_group-open-groups-with-errors-server-side-2894213-15.patch"
            },
            "drupal/migrate_plus": {
                "Process plugin to lookup value in site configuration": "https://www.drupal.org/files/issues/2020-03-02/3117216-10.configuration-value-process-plugin.patch"
            },
            "drupal/contacts_theme": {
                "Display the contacts variable in the dashboard": "patches/contacts_theme_contacts.patch"
            }
        },
        "patchLevel": {
            "drupal/core": "-p2"
        },
        "enable-patching": true,
        "composer-exit-on-patch-failure": "true"
    }
}
